%define upstream_name    Dist-Zilla-Plugin-ApocalypseTests
%define upstream_version 1.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Creates the Test::Apocalypse testfile for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

* * t/apocalypse.t - Runs the dist through Test::Apocalypse

  For more information on what the test does, please look at the
  Test::Apocalypse manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.2.0-5.mga8
+ Revision: 1494089
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.2.0-4.mga7
+ Revision: 1267290
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.2.0-3.mga6
+ Revision: 1025816
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 966098
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 1.2.0-1.mga6
+ Revision: 840026
- update to 1.002

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 739448
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 510885
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 366035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 71015
- imported package perl-Dist-Zilla-Plugin-ApocalypseTests


* Mon Mar 14 2011 cpan2dist 1.001-1mga
- initial mageia release, generated with cpan2dist
